Subject: Ban NoSpam users from the list

From: "Robin S. Socha" <[email-masked]>
Date: 01 Aug 1997 19:02:19 +0200

Ok, someone's gotta be the a**hole... 

I suggest filtering out any mail that violates the respective RFC
concerning fake from: or other lines from the list. The use of NoSpam
headers to "thwart UCE" is not to be justified by *any*thing. If the
respective user is too lazy/thoughtless/stupid to use effective
anti-spam tools [1], they simple don't deserve an answer to any kind
of question. In my view, this means that those messages don't need to
appear on the list.

Therefore (and unless I've been tricked by my own wittiness), it would
seem more than legitimate to enforce the standards pine sets on his
users unto the mailing list: ban NoSpam-users. Someone who forges his
from: line in a way that his mail cannot be answered (remember folks?
this is what the from line is designed for...) has nothing to do on a
mailing list, anyway.

I remember reading an explanation for why the from: line cannot be
changed in pine, but I cannot find it right now. However, the following
passage from the FAQ applies just as well, because technically, there's
no difference between a not FQDN and a NoSpam-from: line, is there?
     _________________________________________________________________

 Can I eliminate the @host.domain from local addresses?

   This is not a new idea. It's a very old idea, in fact, and just
   about everyone who has ever dealt with email has had it at one time
   or another. Regretably [2], it has come to be recognized as a bad
   idea.  Here's why:

   An email address without a host name is not syntactically valid
   according to RFC822. Now, it is true that RFC822 only specifies what
   must be done in messages which are transmitted over the network, and
   that strictly local messages are not under RFC822's dictates.

   This means that there are two formats of email, one that conforms to
   RFC822 and one that does not. Careful efforts must be made to ensure
   that the non-conforming mail format never escapes the local system
   onto the network. Twenty years' of experience has shown that it is
   impossible to guarantee that the non-conforming format does not escape
   into the network, even in the face of traps to catch such messages on
   their way out and convert them to RFC822 conforming format. Indeed,
   such traps have often contributed additional problems on their own.

   The non-conforming format is ambiguous as to what host is intended.
   Although the off-the-cuff solution (and the one that everyone
   implements) is ``use the local host'', numerous examples have
   occurred in which this leads to wrong behavior. For example, it may
   be the ``local mail center'' instead of the ``local machine which
   is a single-user workstation''. Or, if a one of the non-conforming
   messages escaped on to the network, it's some remote system and we
   have no idea at all what system that may be!  There's no way for
   the mail reader to tell; a human may infer from context but often
   does so by using information that is not available to the program.

   The Pine team has spent long (and at times heated) meetings reviewing
   this issue, before coming to the conclusion (as other email groups have
   independently done) that it's a no-win situation. The policy of the
   email development community for years (since the RFC733 discussions)
   has been to exterminate the non-conforming format by not implementing
   it in modern mail tools.

   It may be feasible to implement a feature in a future version of
   Pine that would suppress the display of the local host name in
   email addresses. That is, the host name would still be in the file
   on disk, but would not show up on the screen.

     _________________________________________________________________

And just in case some smartass would like to remark that my address
isn't valid, either: I chose not to use a reply-to field on
purpose. Both addresses (r.socha@... and uzs8kb@...) are perfectly
valid. 

Later,
Robin

Footnotes: 
[1]  To name but one for mail/news: procmail and nocem. Both can be
used locally and globally on a network.

[2]  Is this a typo?

-- 
Robin S. Socha, M.A.
Political Science Dept., Bonn University, Bonn
On the package it said: "Requires MS Windows 3.11 or better"  
                                  ... so I got myself Linux.